/* Setup */
var columns = 1;
var width = parseInt(jQuery('#overlay').css('width'));
var autoscroll = true;
var autoscrollIntervall = 10000; //milliseconds
/* Setup end */

jQuery('.ec-widget-products').css('width', width * columns + 'px');
jQuery('.ec-widget').css('width', width * columns + 'px');
jQuery('.jcarousel-control-prev').css('right', (width * columns / 4) + 'px');
jQuery('.jcarousel-control-next').css('left', (width * columns / 4) + 'px');

var jcarousel = jQuery('.ec-widget-products');

jcarousel.jcarousel({
    wrap : 'circular',
    animation : 'slow'
});

if(autoscroll) {
    jcarousel.jcarouselAutoscroll({
        target : '+=' + columns,
        interval: autoscrollIntervall,
        autostart: true
    });
}

jQuery('.jcarousel-control-prev').jcarouselControl({
    target : '-=' + columns
});

jQuery('.jcarousel-control-next').jcarouselControl({
    target : '+=' + columns
});

jQuery('.jcarousel-pagination').on('jcarouselpagination:active', 'a', function() {
    jQuery(this).addClass('active');
}).on('jcarouselpagination:inactive', 'a', function() {
    jQuery(this).removeClass('active');
}).on('click', function(e) {
    e.preventDefault();
}).jcarouselPagination({
    perPage : 1,
    item : function(page) {
        return '<a href="#' + page + '">' + page + '</a>';
    }
});
